Package org.apache.catalina

## Interface SessionIdGenerator

- All Known Implementing Classes:
    `SessionIdGeneratorBase`, `StandardSessionIdGenerator`

      public interface SessionIdGenerator

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `generateSessionId()` | Generate and return a new session identifier.
    `String` | `generateSessionId​(String route)` | Generate and return a new session identifier.
    `String` | `getJvmRoute()` |
    `int` | `getSessionIdLength()` |
    `void` | `setJvmRoute​(String jvmRoute)` | Specify the node identifier associated with this node which will be included in the generated session ID.
    `void` | `setSessionIdLength​(int sessionIdLength)` | Specify the number of bytes for a session ID

- - ### Method Detail

    - #### getJvmRoute

          String getJvmRoute()

      Returns:
        the node identifier associated with this node which will be included in the generated session ID.

    - #### setJvmRoute

          void setJvmRoute​(String jvmRoute)

      Specify the node identifier associated with this node which will be included in the generated session ID.
      Parameters:
        `jvmRoute` - The node identifier

    - #### getSessionIdLength

          int getSessionIdLength()

      Returns:
        the number of bytes for a session ID

    - #### setSessionIdLength

          void setSessionIdLength​(int sessionIdLength)

      Specify the number of bytes for a session ID
      Parameters:
        `sessionIdLength` - Number of bytes

    - #### generateSessionId

          String generateSessionId()

      Generate and return a new session identifier.
      Returns:
        the newly generated session id

    - #### generateSessionId

          String generateSessionId​(String route)

      Generate and return a new session identifier.
      Parameters:
        `route` - node identifier to include in generated id
      Returns:
        the newly generated session id